<body>
    <div class="main-wrapper">
        <!-- ============================================================== -->
        <!-- Preloader - style you can find in spinners.css -->
        <!-- ============================================================== -->
        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- Preloader - style you can find in spinners.css -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Login box.scss -->
        <!-- ============================================================== -->
        <div class="auth-wrapper d-flex no-block justify-content-center align-items-center ">
            <div class="  border-top border-secondary">
                <div>
                    <div class="text-center p-t-10 p-b-10">
                        <h3>Client Registration</h3>
                    </div>
                    <!-- Form -->

                    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">

                        <div class="form-group">
                            <label for="username">firstname</label>
                            <input type="text" formControlName="firstName" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }"
                                placeholder="Enter First Name here" />
                            <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
                                <div *ngIf="f.firstName.errors.required">firstname is required</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="lastName">lastName</label>
                            <input type="text" formControlName="lastName" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f.lastName.errors }"
                                placeholder="Enter Last Name here" />
                            <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
                                <div *ngIf="f.lastName.errors.required">lastName is required</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="codeclient">codeclient</label>
                            <input type="text" formControlName="codeclient" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f.codeclient.errors }"
                                placeholder="Enter Last Name here" />
                            <div *ngIf="submitted && f.codeclient.errors" class="invalid-feedback">
                                <div *ngIf="f.codeclient.errors.required">codeclient is required</div>
                            </div>
                        </div>




                        <div class="form-group">
                            <label for="username">username</label>
                            <input type="text" formControlName="username" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f.username.errors }"
                                placeholder="Enter First Name here" />
                            <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
                                <div *ngIf="f.username.errors.required">username is required</div>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="text" formControlName="email" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f.email.errors }"
                                placeholder="Enter email here" />
                            <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                                <div *ngIf="f.email.errors.required">Email is required</div>
                                <div *ngIf="f.email.errors.email">Enter valid email address</div>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="email">Password</label>
                            <input type="password" formControlName="password" class="form-control"
                                [ngClass]="{ 'is-invalid': submitted && f.password.errors }"
                                placeholder="Enter Password here" />
                            <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                <div *ngIf="f.password.errors.required">Password is required</div>
                                <div *ngIf="f.password.errors.minlength">Password must be at least 6 characters</div>
                            </div>

                        </div>

                        <div class="form-group">
                            <label for="Image">Image</label>
                            <input type="file" formControlName="file" class="form-control"
                                (change)="recuperphoto($event)" [ngClass]="{ 'is-invalid': submitted && f.file.errors }"
                                placeholder="Enter file here" />
                            <div *ngIf="submitted && f.file.errors" class="invalid-feedback">
                                <div *ngIf="f.file.errors.required">file is required</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="Image">Phone</label>
                            <input type="text" formControlName="phone" class="form-control"
                                (change)="recuperphoto($event)" [ngClass]="{ 'is-invalid': submitted && f.phone.errors }"
                                placeholder="Enter phone here" />
                            <div *ngIf="submitted && f.phone.errors" class="invalid-feedback">
                                <div *ngIf="f.phone.errors.required">phone is required</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">
                                Register
                            </button>
                            <a  routerLink="/login" class="btn btn-link">Login to continue</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- Login box.scss -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper scss in scafholding.scss -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper scss in scafholding.scss -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Right Sidebar -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Right Sidebar -->
        <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- All Required js -->
    <!-- ============================================================== -->

</body>